<?php

  $debugin              = $decoded['debug'];
  $clave                = $decoded['clave'];

  //Muestra Producto
  $Query = "
    SELECT
      pro.Id,
      pro.Clave, pro.Nombre, pro.Descripcion,
      pro.ClaveCategoria,
      pro.ClaveSubCategoria,
      pro.ClaveMarca,
      pro.Existencia,
      pro.UnidadesCompletas,
      pro.Alto, pro.Ancho, pro.Largo, pro.Peso,
      pro.Precio, pro.Descuento,
      pro.Barcode, pro.VentaApp, pro.Activo
    FROM KB_Productos pro
    WHERE
      pro.Clave = '$clave'
  ";
  $Result = mysqli_query($mysqli, $Query);
  $Pro = mysqli_fetch_assoc($Result);
  if( $Pro[Id] ){

    //Precios
    $Query = "
      SELECT
        pre.Id,
        pre.Precio, pre.RangoA, pre.RangoB
      FROM KB_Productos_Precios pre
      WHERE
        pre.Fk_Producto = '$Pro[Id]'
      ORDER BY pre.RangoA ASC
    ";
    $Pres = $mysqli->query($Query);
    mysqli_data_seek($Pres, 0);
    while($Pre = mysqli_fetch_array($Pres)) {
      $Precios[$Pro[Clave]][] = array(
        'precio'      => "$Pre[Precio]",
        'rango_a'     => "$Pre[RangoA]",
        'rango_b'     => "$Pre[RangoB]"
      );

    }
    //End Precios

    //Impuestos
    $Query = "
      SELECT
        imp.Id,
        imp.TipoImpuesto, imp.Impuesto
      FROM KB_Productos_Impuestos imp
      WHERE
        imp.Fk_Producto = '$Pro[Id]'
      ORDER BY imp.TipoImpuesto ASC
    ";
    $Imps = $mysqli->query($Query);
    mysqli_data_seek($Imps, 0);
    while($Imp = mysqli_fetch_array($Imps)) {
      $Impuestos[$Pro[Clave]][] = array(
        'tipo_impuesto' => "$Imp[TipoImpuesto]",
        'impuesto'      => "$Imp[Impuesto]"
      );

    }
    //End Impuestos

    //Empaques
    $Query = "
      SELECT
        emp.Id,
        emp.ClaveEmpaque, emp.Cantidad
      FROM KB_Productos_Empaques emp
      WHERE
        emp.Fk_Producto = '$Pro[Id]'
      ORDER BY emp.Id ASC
    ";
    $Emps = $mysqli->query($Query);
    mysqli_data_seek($Emps, 0);
    while($Emp = mysqli_fetch_array($Emps)) {

      //Precios
      $Query = "
        SELECT
          pre.Id,
          pre.Precio, pre.RangoA, pre.RangoB
        FROM KB_Productos_Empaques_Precios pre
        WHERE
          pre.Fk_Producto = '$Pro[Id]'
          AND pre.Fk_Producto_Empaque = '$Emp[Id]'
        ORDER BY pre.RangoA ASC
      ";
      $Pres = $mysqli->query($Query);
      mysqli_data_seek($Pres, 0);
      while($Pre = mysqli_fetch_array($Pres)) {
        $EmpaquesPrecios[$Emp[Id]][] = array(
          'precio'      => "$Pre[Precio]",
          'rango_a'     => "$Pre[RangoA]",
          'rango_b'     => "$Pre[RangoB]"
        );

      }
      //End Precios

      $Empaques[$Pro[Clave]][] = array(
        'clave_empaque' => "$Emp[ClaveEmpaque]",
        'cantidad'      => "$Emp[Cantidad]",
        'precios'       => $EmpaquesPrecios[$Emp[Id]]
      );

    }
    //End Empaques

    //Respuesta
    $Data = array(
      'action'              => 'ok',
      'clave'               => "$Pro[Clave]",
      '_nombre'              => "$Pro[Nombre]",
      'descripcion'         => "$Pro[Descripcion]",
      'categoria_clave'     => "$Pro[ClaveCategoria]",
      'subcategoria_clave'  => "$Pro[ClaveSubCategoria]",
      'marca_clave'         => "$Pro[ClaveMarca]",
      'existencia'          => "$Pro[Existencia]",
      'unidades_completas'  => "$Pro[UnidadesCompletas]",
    	'alto'                => "$Pro[Alto]",
    	'ancho'               => "$Pro[Ancho]",
    	'largo'               => "$Pro[Largo]",
    	'peso'                => "$Pro[Peso]",
      'precio'              => "$Pro[Precio]",
      'descuento'           => "$Pro[Descuento]",
      'nombre'              => "$Pro[Barcode]",
      'venta_app'           => "$Pro[VentaApp]",
      'activo'              => "$Pro[Activo]",
      'precios'             => $Precios[$Pro[Clave]],
      'impuestos'           => $Impuestos[$Pro[Clave]],
      'empaques'            => $Empaques[$Pro[Clave]]
    );
    echo json_encode($Data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);

  }else{

    //Error
    $Query = "
      SELECT
        err.Id, err.error, err.msn
      FROM KB_Api_Errores err
      WHERE err.error = 'pro-3'
    ";
    $Result = mysqli_query($mysqli, $Query);
    $Error = mysqli_fetch_assoc($Result);

    $Data = array(
      'action'      => 'error',
      'error'       => $Error[error],
      'error_msn'   => $Error[msn]
    );
    echo json_encode($Data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);

  }
?>
